do
#****************************************************************************
#**
#**  File     :  
#**
#**  Summary  :  UEF Mobile Shield Generator Script
#**
#**  Copyright © 2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local OldUEL0307 = UEL0307
UEL0307 = Class(OldUEL0307) {
    
    CreateEnhancement = function(self, enh)
		OldUEL0307.CreateEnhancement(self, enh)
		local bp = self:GetBlueprint().Enhancements[enh]
		if not bp then return end
		
		if  enh == 'ShieldBoost' then
			if self.MyShield then 
				self.MyShield:ShieldBoost(bp)
			end
		elseif enh == 'ShieldBoostRemove' then
			if self.MyShield then 
				self.MyShield:RemoveShieldBoost()
			end
		end
	end,


}

TypeClass = UEL0307

end
